Create Project
curl --request POST \
--url https://api.realtimelca.com/rest/api/BuildingProject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectName": "",
"clientName": "",
"builder": "",
"buildingAddress": {
"street": "Th Nielsens Vej",
"streetNumber": "2",
"city": "Roskilde",
"postalCode": "4000",
"country": "Denmark"
},
"type": 3,
"stage": 2,
"projectNumber": "2",
"streamId": "",
"emissionMetaData": {
"yearOfCommissioning": 2025,
"yearOfConstruction": 2025,
"includedPhases": [
"A1A3",
"B4",
"B6",
"C3",
"C4",
"D"
],
"includedPhasesTranslated": [
"A1A3",
"B4",
"B6",
"C3",
"C4",
"D"
]
},
"referencedAreas": {
"values": {
"ExteriorBalconyAccess": 2
},
"basementFloors": 0,
"floorsAboveGround": 0,
"areaAboveGround": 0,
"areaBelowGround": 0
},
"calculationType": {
"calculationTypeEnum": 1,
"considerationPeriod": 50,
"extraThresholds": [],
"thresholdLimitWithoutExtra": 12
},
"heatArea": {
"heatedFloorAreaAboveGround": 0,
"heatedBasementArea": 0
},
"wastagePercentage": 10,
"projectEnergyData": {
"constructional": {
"electricity": null,
"earthMoved": null,
"heat": null,
"machineryFuel": null
},
"operational": {
"electricity": null,
"heat": null
},
"operationExportedElectricity": null,
"validatedBy": "thomas",
"validationDate": "2020-02-02"
},
"transportTypes": [],
"branches": [],
"speckleConfiguration": {
"parameters": {
"classificationCode": "",
"classificationTypeId": ""
}
}
}
'import requests
url = "https://api.realtimelca.com/rest/api/BuildingProject"
payload = {
"projectName": "",
"clientName": "",
"builder": "",
"buildingAddress": {
"street": "Th Nielsens Vej",
"streetNumber": "2",
"city": "Roskilde",
"postalCode": "4000",
"country": "Denmark"
},
"type": 3,
"stage": 2,
"projectNumber": "2",
"streamId": "",
"emissionMetaData": {
"yearOfCommissioning": 2025,
"yearOfConstruction": 2025,
"includedPhases": ["A1A3", "B4", "B6", "C3", "C4", "D"],
"includedPhasesTranslated": ["A1A3", "B4", "B6", "C3", "C4", "D"]
},
"referencedAreas": {
"values": { "ExteriorBalconyAccess": 2 },
"basementFloors": 0,
"floorsAboveGround": 0,
"areaAboveGround": 0,
"areaBelowGround": 0
},
"calculationType": {
"calculationTypeEnum": 1,
"considerationPeriod": 50,
"extraThresholds": [],
"thresholdLimitWithoutExtra": 12
},
"heatArea": {
"heatedFloorAreaAboveGround": 0,
"heatedBasementArea": 0
},
"wastagePercentage": 10,
"projectEnergyData": {
"constructional": {
"electricity": None,
"earthMoved": None,
"heat": None,
"machineryFuel": None
},
"operational": {
"electricity": None,
"heat": None
},
"operationExportedElectricity": None,
"validatedBy": "thomas",
"validationDate": "2020-02-02"
},
"transportTypes": [],
"branches": [],
"speckleConfiguration": { "parameters": {
"classificationCode": "",
"classificationTypeId": ""
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectName: '',
clientName: '',
builder: '',
buildingAddress: {
street: 'Th Nielsens Vej',
streetNumber: '2',
city: 'Roskilde',
postalCode: '4000',
country: 'Denmark'
},
type: 3,
stage: 2,
projectNumber: '2',
streamId: '',
emissionMetaData: {
yearOfCommissioning: 2025,
yearOfConstruction: 2025,
includedPhases: ['A1A3', 'B4', 'B6', 'C3', 'C4', 'D'],
includedPhasesTranslated: ['A1A3', 'B4', 'B6', 'C3', 'C4', 'D']
},
referencedAreas: {
values: {ExteriorBalconyAccess: 2},
basementFloors: 0,
floorsAboveGround: 0,
areaAboveGround: 0,
areaBelowGround: 0
},
calculationType: {
calculationTypeEnum: 1,
considerationPeriod: 50,
extraThresholds: [],
thresholdLimitWithoutExtra: 12
},
heatArea: {heatedFloorAreaAboveGround: 0, heatedBasementArea: 0},
wastagePercentage: 10,
projectEnergyData: {
constructional: {electricity: null, earthMoved: null, heat: null, machineryFuel: null},
operational: {electricity: null, heat: null},
operationExportedElectricity: null,
validatedBy: 'thomas',
validationDate: '2020-02-02'
},
transportTypes: [],
branches: [],
speckleConfiguration: {parameters: {classificationCode: '', classificationTypeId: ''}}
})
};
fetch('https://api.realtimelca.com/rest/api/BuildingProject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Project
Create Project
Creates a new building project in the Real-Time LCA system. This endpoint accepts a comprehensive project configuration including address details, emission metadata, referenced areas, calculation parameters, energy data, and optional Speckle integration settings.
Method: POST
URL: {{lcabaseUrl}}/BuildingProject
Authentication: Bearer Token ({{BearerToken}})
POST
/
BuildingProject
Create Project
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
default
Response schema not yet documented in the upstream Postman spec.
⌘I

